#! /bin/sh
# /etc/init.d/procps: Set kernel variables from /etc/sysctl.conf
#
# written by Elrond <Elrond@Wunder-Nett.org>

### BEGIN INIT INFO
# Provides:          procps
# Required-Start:    mountvirtfs
# Required-Stop: 
# Default-Start:     S 1 2 3 4 5
# Default-Stop:      0 6
### END INIT INFO


# Check for existance of the default file and exit if not there,
# Closes #52839 for the boot-floppy people
[ -r /etc/default/rcS ] || exit 0
. /etc/default/rcS

PATH=/sbin:$PATH
test -x /sbin/sysctl || exit 0


case "$1" in
       start|restart|force-reload)
               if [ ! -r /etc/sysctl.conf ]
               then
                       exit 0
               fi
               if [ "$VERBOSE" = "yes" ]
               then
	               quiet=""
                       echo "Start setting kernel variables via /proc..."
               else
	       	       quiet="-q"
               fi
               sysctl $quiet -p
               if [ "$VERBOSE" = "yes" ]
               then
			echo "Done setting kernel variables via /proc."
		fi
               ;;
       stop)
               ;;
       *)
               echo "Usage: /etc/init.d/procps.sh {start|stop|restart|force-reload}" >&2
               exit 3
               ;;
esac
